Subject: Re: Feature request: show branches in interactive commit

From: Johannes Sixt <[email-masked]>
Date: Thu, 28 Jun 2012 10:53:57 +0200

Am 6/28/2012 9:54, schrieb Philipp Marek:
> Say that "123458" is a commit with "branch1" associated; then I'd hope for output like
> 
>     pick 123456 ...
>     pick 123457 ...
>     pick 123458 ...
>     #x git branch "branch1" --force # move the branch?
>     pick 123459 ...
>     pick 12345a ...
> 
> I have a few feature branches that are stacked upon each other; when moving a commit
> "down" to the release-branch I'd like to have the other branches at the matching "new"
> commit.
> 
> Of course I can simply fix up the "rebase" output in my editor - but I guess that might
> help a few people, that's why I'm proposing it here.

I happen to have one such topic branch stack myself that I carry around
since a while. But the implementation must be a bit smarter: What should
happen if you --abort after e.g. 123459 was picked?

I used this scheme sometimes:

     pick 123456 ...
     pick 123457 ...
     pick 123458 ...
     x git rev-parse HEAD >sha1
     pick 123459 ...
     pick 12345a ...
     x git branch --force "branch1" $(cat sha1)

Granted, an indication where the topic branch heads would have to go in
the todo list, as you suggest, would be nice first step.

-- Hannes